Bug 254273 - [PATCH] option for editors/libreoffice to not require mysql-client
Summary: [PATCH] option for editors/libreoffice to not require mysql-client
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Piotr Pawel Stefaniak
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-14 11:31 UTC by Piotr Pawel Stefaniak
Modified: 2021-04-07 16:56 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (office)


Attachments
patch libreoffice to optionally require mysql-client (1.61 KB, patch)
2021-03-14 11:31 UTC, Piotr Pawel Stefaniak
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Pawel Stefaniak freebsd_committer 2021-03-14 11:31:20 UTC
Created attachment 223255 [details]
patch libreoffice to optionally require mysql-client

mysql-client has heavy build dependencies, including llvm. Add an option to libreoffice to use or not use mysql driver, similar to the one for Postgres.
Comment 1 VVD 2021-03-14 11:47:31 UTC
Good offer!
Comment 2 Li-Wen Hsu freebsd_committer 2021-03-14 12:06:06 UTC
LGTM, please also bump PORTREVISION.
Comment 3 Li-Wen Hsu freebsd_committer 2021-03-17 03:07:43 UTC
Test build looks fine https://cirrus-ci.com/build/5440581271814144

Please bump PORTREVISION and it's good to commit.

Approved by: lwhsu (ports, office@)
Comment 4 commit-hook freebsd_committer 2021-04-07 16:50:43 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=fba3dac6cdd8f201a3b0e6d1f33d7727ca31c7cd

commit fba3dac6cdd8f201a3b0e6d1f33d7727ca31c7cd
Author:     Piotr Pawel Stefaniak <pstef@FreeBSD.org>
AuthorDate: 2021-04-07 16:47:04 +0000
Commit:     Piotr Pawel Stefaniak <pstef@FreeBSD.org>
CommitDate: 2021-04-07 16:49:18 +0000

    editors/libreoffice: add an option to build with or without MariaDB driver

    PR:             254273
    Approved by:    lwhsu

 editors/libreoffice/Makefile | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)